
app.controller("imprimirControllerF3", function ($scope, cadastroFactory, notificationFactory, entidadeFactory, Base64) {
        $scope.ano = new Date().getFullYear();
        $scope.apenasBem = false;

        $scope.tipos = [
            { id: 0, desc: "Todos" },
            { id: 1, desc: "Acréscimo" },
            { id: 2, desc: "Diminuição" }
        ];
        
        $scope.toggleBem = function () {
            //$scope.apenasBem = !$scope.apenasBem;
            
        };

        $scope.selectedTipo = $scope.tipos[0];

        $scope.selTipo = function (t) {
            $scope.selectedTipo = t;

        };

        $scope.printFichaAmort = function (excel) {
            var ano = $scope.ano;
            var tipo = $scope.selectedTipo.id;

            var entidade = $scope.selectedEntidade;
            var nent = 0;
            if (entidade != null)
                nent = entidade.PK_Entidade;
            var conta = "";
            var contapoc = $scope.selectedClass;
            conta = "";
            if (contapoc != null)
                conta = Base64.encode(contapoc._CodigoConta + ' ' + contapoc._DescricaoConta);

            
            var Ninv = 0;
            if ($scope.apenasBem == true)
                Ninv = $scope.selected.item.NumInventario;
            
            var xls = "";
            if (excel==true)
                xls = "&xls=1";

            var mes = new Date().getMonth() + 1;
            if ($scope.selectedMes!=null)
                mes = $scope.selectedMes.mes;

            var w = window.open("../api/famortizacao/?ano=" + ano + "&tipo=" + tipo + "&nent=" + nent + "&classi=" + conta + "&tk=" + sessionStorage.getItem("CibeAtk") + "&Ninv=" + Ninv + xls + "&mes=" + mes);
            $(w.document.body).html('<p align="center">Por Favor Aguarde. Este Processo pode demorar um pouco...</p>');
        };

        $scope.carregarClassificacoesPatri = function () {

            var getSuccessCallback = function (data, status) {
                $scope.classificacoesPatri = data;
                
            };

            var errorCallback = function (data, status, headers, config) {
                //notificationFactory.error(data);
                
            };

            cadastroFactory.getClassificacoesPatri().success(getSuccessCallback).error(errorCallback);
        };

        $scope.selClass = function (row) {
            $scope.selectedClass = row;
        };
       

        $scope.selEntidade = function (row) {
            $scope.selectedEntidade = row;
        };

        $scope.carregarEntidades = function (id) {


            var getSuccessCallback = function (data, status) {

                $scope.entidades = data;
                $scope.selEntidade(null);
            };

            var errorCallback = function (data, status, headers, config) {
                //notificationFactory.error(data);
            };

            entidadeFactory.getEntidades().success(getSuccessCallback).error(errorCallback);

        };

        $scope.strMax = function (str, max) {
            var c = "";
            if (str.length > max)
                c = "...";
            return str.substr(0, max) + c;
        };

        $scope.mostrarMes = function () {
            var Data = new Date();
            return Data.getFullYear() >= 2016;
        };
        
        $scope.lstMeses = [];
        $scope.carregarMeses = function (id) {
            $scope.lstMeses.push({ mes: 1, NomeMes: 'Janeiro' });
            $scope.lstMeses.push({ mes: 2, NomeMes: 'Fevereiro' });
            $scope.lstMeses.push({ mes: 3, NomeMes: 'Março' });
            $scope.lstMeses.push({ mes: 4, NomeMes: 'Abril' });
            $scope.lstMeses.push({ mes: 5, NomeMes: 'Maio' });
            $scope.lstMeses.push({ mes: 6, NomeMes: 'Junho' });
            $scope.lstMeses.push({ mes: 7, NomeMes: 'Julho' });
            $scope.lstMeses.push({ mes: 8, NomeMes: 'Agosto' });
            $scope.lstMeses.push({ mes: 9, NomeMes: 'Setembro' });
            $scope.lstMeses.push({ mes: 10, NomeMes: 'Outubro' });
            $scope.lstMeses.push({ mes: 11, NomeMes: 'Novembro' });
            $scope.lstMeses.push({ mes: 12, NomeMes: 'Dezembro' });
            
            $scope.selectedMes= $scope.selMesNumero(new Date().getMonth() + 1);
        };

        $scope.selMes = function (row) {
            $scope.selectedMes = row;
        };

        $scope.selMesNumero = function (mes) {
            var row = null;
            for (i = 0; i < 12; i++)
            {
                if ($scope.lstMeses[i].mes==mes)
                {
                    row = $scope.lstMeses[i];
                    break;
                }
            }
            return row;
        };
                
    });